org.apache.lucene.analysis.stempel

## Class StempelFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.stempel.StempelFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class StempelFilter
    extends TokenFilter

Transforms the token stream as per the stemming algorithm.

Note: the input to the stemming filter must already be in lower case, so you will need to use LowerCaseFilter or LowerCaseTokenizer farther down the Tokenizer chain in order for this to work properly!

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

Fields
`static int` `DEFAULT_MIN_LENGTH` Minimum length of input words to be processed.

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`StempelFilter(TokenStream in, StempelStemmer stemmer)` Create filter using the supplied stemming table.
`StempelFilter(TokenStream in, StempelStemmer stemmer, int minLength)` Create filter using the supplied stemming table.

### Method Summary

Methods
`boolean` `incrementToken()` Returns the next input Token, after being stemmed

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_MIN_LENGTH

    public static final int DEFAULT_MIN_LENGTH

Minimum length of input words to be processed. Shorter words are returned unchanged.

See Also:
  Constant Field Values

### Constructor Detail

#### StempelFilter

    public StempelFilter(TokenStream in,
                 StempelStemmer stemmer)

Create filter using the supplied stemming table.

Parameters:
  `in` - input token stream
  `stemmer` - stemmer

#### StempelFilter

    public StempelFilter(TokenStream in,
                 StempelStemmer stemmer,
                 int minLength)

Create filter using the supplied stemming table.

Parameters:
  `in` - input token stream
  `stemmer` - stemmer
  `minLength` - For performance reasons words shorter than minLength characters are not processed, but simply returned.

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Returns the next input Token, after being stemmed

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`